%global __cmake_in_source_build 1

Summary:    Utilities for alternative packaging
Name:       scl-utils
Version:    2.0.3
Release:    3%{dist}

License:    GPLv2+
URL:        https://github.com/sclorg/scl-utils
Source0:    https://github.com/sclorg/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:    macros.scl-filesystem

BuildRequires: gcc make cmake rpm-devel
BuildRequires: libcmocka libcmocka-devel environment-modules
Requires:   %{_bindir}/modulecmd

Patch3000:   0003-Scl-utils-layout-patch-from-fedora-famillecollet.com.patch

%description
Run-time utility for alternative packaging.

%package build
Summary:    RPM build macros for alternative packaging
Requires:   iso-codes
Requires:   system-rpm-config

%description build
Essential RPM build macros for alternative packaging.

%prep
%autosetup -p1

%build
%cmake .
%make_build


%install
%make_install

mkdir -p %{buildroot}%{rpmmacrodir}

install -pm644 %{SOURCE1} %{buildroot}%{rpmmacrodir}/macros.scl
mkdir -p %{buildroot}%{_sysconfdir}/scl
cd %{buildroot}%{_sysconfdir}/scl
mkdir modulefiles
mkdir prefixes
ln -s prefixes conf

rm -rf %{buildroot}%{_sysconfdir}/rpm

%files
%license LICENSE
%dir %{_sysconfdir}/scl/modulefiles
%dir %{_sysconfdir}/scl/prefixes
%{_sysconfdir}/scl/conf
%{_sysconfdir}/scl/func_scl.csh
%config %{_sysconfdir}/bash_completion.d/scl
%config %{_sysconfdir}/profile.d/scl-init.sh
%config %{_sysconfdir}/profile.d/scl-init.csh
%{_bindir}/scl
%{_bindir}/scl_enabled
%{_bindir}/scl_source
%{_mandir}/man1/scl.1.gz

%files build
%{rpmmacrodir}/macros.scl
%{_rpmconfigdir}/scldeps.sh
%{_rpmconfigdir}/fileattrs/scl.attr
%{_rpmconfigdir}/fileattrs/sclbuild.attr
%{_rpmconfigdir}/brp-scl-compress
%{_rpmconfigdir}/brp-scl-python-bytecompile

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.3-1
- upgrade to 2.0.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 cunshunxia <cunshunxia@tencent.com> - 2.0.2-1
- initial build
